/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AcknowledgeState.java 6444 2010-05-14 09:52:04Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.notification.service.exchange;

import org.ow2.jasmine.event.beans.JasmineEventNotification;

/**
 * @author Guillaume Renault
 */
public class AcknowledgeState {

    /**
     * Whether the notification has been acknowledge or not.
     */
    private Boolean state;

    /**
     * The user who did acknowledge if it was.
     */
    private String user;

    /**
     * The notification associated with state.
     */
    private JasmineEventNotification notification;

    /**
     * Currently logged user.
     */
    private String loggedUser;

    /**
     * Default constructor.
     */
    public AcknowledgeState() {

    }

    /**
     * Constructor using class fields.
     *
     * @param state the state found.
     * @param user the user that updated the state.
     * @param notification the notification associated with state.
     */
    public AcknowledgeState(final Boolean state, final String user, final JasmineEventNotification notification) {
        super();
        this.state = state;
        this.user = user;
        this.notification = notification;
    }

    /**
     * @return the state
     */
    public Boolean getState() {
        return state;
    }

    /**
     * @param state the state to set
     */
    public void setState(final Boolean state) {
        this.state = state;
    }

    /**
     * @return the user
     */
    public String getUser() {
        return user;
    }

    /**
     * @param user the user to set
     */
    public void setUser(final String user) {
        this.user = user;
    }

    /**
     * @return the notification
     */
    public JasmineEventNotification getNotification() {
        return notification;
    }

    /**
     * @param notification the notification to set
     */
    public void setNotification(final JasmineEventNotification notification) {
        this.notification = notification;
    }

    /**
     * @return the loggedUser
     */
    public String getLoggedUser() {
        return loggedUser;
    }

    /**
     * @param loggedUser the loggedUser to set
     */
    public void setLoggedUser(final String loggedUser) {
        this.loggedUser = loggedUser;
    }

}
